IntegrationsN1

Show one of the electronic invoices (received and issued) with lines, taxes, withholdings and the last export attempt per accounting integration.

POST
/integrations/connections/{connection_id}/providers/n1/invoices/get

Show one of the electronic invoices (received and issued) with lines, taxes, withholdings and the last export attempt per accounting integration.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/n1/invoices/get" \  -H "Content-Type: application/json" \  -d '{    "company_id": 1,    "document_id": 1  }'
{  "lines": [],  "discounts": [],  "surcharges": [],  "withholding_taxes": [],  "concept": "example",  "exports": [],  "id": 0,  "number": "example",  "synced": false,  "files": {    "original": {      "available": false    },    "pdf": {      "status": "available"    }  },  "cufe": "example",  "sub_total": "1",  "total": "1",  "vat": "1",  "kind": "purchase",  "other_taxes": [],  "issuer_nit": "example",  "receiver_nit": "example"}